<input type="hidden" disabled data-mfVersion="<?php echo MYFATOORAH_WOO_PLUGIN_VERSION; ?>"/>
<?php
$this->get_parent_payment_fields();

if ($this->listOptions === 'multigateways') {
    if ((!empty($this->gateways['ap'])) || $this->count > 1 || (!empty($this->gateways['form'])) && count($this->gateways['form']) >= 1) {
        $txtPayWith = __('Pay With', 'myfatoorah-woocommerce');
        ?>
        <div class="mf-payment-methods-container">
            <!--Start Card Section-->
            <?php if (!empty($this->gateways['cards']) || !empty($this->gateways['ap'])) { ?>
                <div class="mf-grey-text" style="font-family: 'Roboto', sans-serif; font-size: 14px; font-weight: 500" ><?php echo __('How would you like to pay?', 'myfatoorah-woocommerce'); ?></div>
                <?php if (!empty($this->gateways['ap'])) {
                    ?>
                    <div id="mf-apple-button" style="height: 40px;"></div>
                    <?php }?>
                <?php if (!empty($this->gateways['cards'])) { ?>
                    <div class="mf-divider">
                        <span class="mf-divider-span"><?php echo $txtPayWith; ?></span>
                    </div> 
                    <?php } ?>
                <input id="mf_gateway" name="mf_gateway" type="hidden" value="">

                <?php foreach ($this->gateways['cards'] as $mfCard) { ?>
                    <?php $mfPaymentTitle = ($this->lang == 'ar') ? $mfCard->PaymentMethodAr : $mfCard->PaymentMethodEn ?>

                    <button class="mf-card-container" style="width: unset;" mfCardId="<?php echo $mfCard->PaymentMethodId; ?>" title="<?php echo ($txtPayWith . ' ' . $mfPaymentTitle); ?>" >
                        <div class="mf-row-container">
                            <img class="mf-payment-logo" src="<?php echo $mfCard->ImageUrl; ?>"alt="<?php echo $mfPaymentTitle; ?>">
                            <span class="mf-payment-text mf-card-title"><?php echo $mfPaymentTitle; ?></span>
                        </div>
                        <span class="mf-payment-text" style="text-align: end;">
                            <?php echo $mfCard->GatewayData['GatewayTotalAmount']; ?> <?php echo $mfCard->GatewayData['GatewayCurrency']; ?>
                        </span>
                    </button>
                <?php } ?>
                <script>
                    jQuery(document).ready(function ($) {
                        //card button clicked
                        $("[mfCardId]").on('click', function (e) {
                            e.preventDefault();
                            $('#mf_gateway').val($(this).attr('mfCardId'));
                            var fc = 'form.checkout';
                            $(fc).submit();
                        });
                    });
                </script>
                <!--End Card Section-->
                <!--Start Form Section-->
                <?php
            }
            if (!empty($this->gateways['form'])) {
                ?>

                <div class="mf-divider">
                    <span class="mf-divider-span">
                        <?php
                        if (count($this->gateways['cards']) > 0 || !empty($this->gateways['ap'])) {
                            echo __('Or ', 'myfatoorah-woocommerce');
                        }
                        echo __('Insert Card Details', 'myfatoorah-woocommerce');
                        ?>
                    </span>
                </div>
                <div id="mf-card-element" style="width:99%; max-width:800px; padding: 0rem 0.2rem"></div>
                <button class="mf-btn mf-pay-now-btn" type="button" 
                        style="background-color: #0293cc; 
                        border: none; border-radius: 8px;
                        padding: 7px 3px;">
                    <span class="mf-pay-now-span">
                        <?php echo __('Pay Now', 'myfatoorah-woocommerce'); ?> 
                    </span>
                </button>
                <input type="hidden" id="mfData" name="mfData" value="">

            <?php } ?>
            <!--End Form Section-->
        </div>
        <?php
    } else if ($this->count == 1) {
        $card = isset($this->gateways['cards'][0]->PaymentMethodId) ? $this->gateways['cards'][0]->PaymentMethodId : null;
        ?>
        <input id="mf_gateway" name="mf_gateway" type="hidden" value="<?php echo $card; ?>">
        <?php
    } else if ($this->count == 0) {
        ?>
        <script>
            jQuery('.payment_method_myfatoorah_v2').hide();
        </script>
        <?php
    }
}    